package com.xy.config;

import com.dtp.core.support.DynamicTp;
import com.xy.utils.ThreadPoolUtils;
import org.springframework.context.annotation.Bean;
import org.springframework.scheduling.concurrent.ThreadPoolTaskExecutor;
import org.springframework.stereotype.Component;

@Component
public class ThreadPoolConfig {

    public static final String COMMON_POLL = "commonPoll";

    public static final String SEND_MQTT_POLL = "sendMqttPoll";

    /**
     * 公用线程池
     */
    @DynamicTp
    @Bean(COMMON_POLL)
    public ThreadPoolTaskExecutor commonPoll() {
        return ThreadPoolUtils.newPoll()
                .name(COMMON_POLL)
                .coreSize(10)
                .maxSize(200)
                .keepAlive(60)
                .builder();
    }

    /**
     * 指令发布线程池
     */
    @DynamicTp
    @Bean(SEND_MQTT_POLL)
    public ThreadPoolTaskExecutor sendMqttPoll() {
        return ThreadPoolUtils.newPoll()
                .name(SEND_MQTT_POLL)
                .coreSize(10)
                .maxSize(200)
                .keepAlive(60)
                .builder();
    }

}
