package com.xy.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 设备-质检值
 * </p>
 *
 * @author lijin
 * @since 2023-01-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "DeviceQualityValue对象", description = "设备-质检值")
public class DeviceQualityValue implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "质检id")
    private Integer qualityId;

    @ApiModelProperty(value = "交易测试值")
    private String tradeStateValue;

    @ApiModelProperty(value = "门锁测试值")
    private String lockerStateValue;

    @ApiModelProperty(value = "温度检测值")
    private String tempratureStateValue;

    @ApiModelProperty(value = "模拟批量测试值")
    private String imitateTestStateValue;

    @ApiModelProperty(value = "软件硬系统值")
    private String systemStateValue;

    @ApiModelProperty(value = "参数设置值")
    private String settingStateValue;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

}
