package com.xy.entity;

import cn.easyes.annotation.IndexId;
import cn.easyes.annotation.IndexName;
import cn.easyes.annotation.rely.IdType;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * mqtt指令索引
 */
@Data
@Accessors(chain = true)
@IndexName("mqtt_command")
public class MqttCommand {

    @IndexId(type = IdType.CUSTOMIZE)
    private Long id;

    /**
     * 是否调试
     */
    private Boolean debug;

    /**
     * 业务类型
     */
    private String cmdType;

    /**
     * 行为类型
     */
    private String actionType;

    /**
     * 指令状态 1=已发送 2=发送失败 3=已执行 4=执行失败，5=执行超时 6=已完成
     */
    private Integer status;

    /**
     * 指令完整值
     */
    private String value;

    /**
     * 指令发送时间
     */
    private String sendTime;

    /**
     * 指令执行时间
     */
    private String execTime;

    /**
     * 指令有效期
     */
    private Integer timeout;

    /**
     * 接收指令的topic
     */
    private String topic;

    /**
     * 是否应答
     */
    private Boolean ack;

    /**
     * 消息级别
     */
    private Integer level;

    /**
     * 已发送次数
     */
    private Integer num;

    /**
     * 消息消费时间（延迟消费）
     */
    private String delayTime;

    /**
     * 错误日志
     */
    private String error;

}
