package com.xy.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

@Data
@ApiModel("指令执行结果回执交互类")
@Accessors(chain = true)
public class BackMqttDto {

    @NotBlank(message = "sn不能为空")
    @ApiModelProperty(value = "sn编号", required = true)
    private Long sn;

    @NotNull(message = "bool不能为空")
    @ApiModelProperty(value = "结果 true=成功 false=失败", required = true)
    private Boolean bool;

    @NotNull(message = "execTime不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "执行时间 yyyy-MM-dd HH:mm:ss", required = true)
    private LocalDateTime execTime;
}
