package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.BackMqttDto;
import com.xy.dto.CommandMqtt;
import com.xy.utils.R;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;
import java.util.Map;

/**
 * mqtt接口
 */
@RestMappingController("mqtt")
public interface MqttService {

    /**
     * 发送指令
     *
     * @param commandMqtts
     * @return
     */
    @PostMapping("senCommand")
    R<Map<Long, Boolean>> senCommand(@RequestBody List<CommandMqtt> commandMqtts);

    /**
     * 指令结果通知
     *
     * @param backMqttDto
     * @return
     */
    @PostMapping("commandBack")
    R commandBack(@RequestBody @Validated BackMqttDto backMqttDto);
}
